Mail archive
alpine-aports

[alpine-aports] [PATCH 1/4] Update skalibs to 2.3.8.3, move libskarnet.so.2.3 to /lib

From: Laurent Bercot <ska-devel_at_skarnet.org>
Date: Mon, 16 Nov 2015 12:44:51 +0100

---
 main/skalibs/APKBUILD | 27 ++++++++++++++++-----------
 1 file changed, 16 insertions(+), 11 deletions(-)
diff --git a/main/skalibs/APKBUILD b/main/skalibs/APKBUILD
index 30c6b9d..607d56d 100644
--- a/main/skalibs/APKBUILD
+++ b/main/skalibs/APKBUILD
_at_@ -1,7 +1,7 @@
+# Maintainer: Laurent Bercot <ska-devel_at_skarnet.org>
 # Contributor: John Regan <john_at_jrjrtech.com>
-# Maintainer: John Regan <john_at_jrjrtech.com>
 pkgname=skalibs
-pkgver=2.3.8.2
+pkgver=2.3.8.3
 pkgrel=0
 pkgdesc="A set of general-purpose C programming libraries for skarnet.org software."
 url="http://skarnet.org/software/skalibs/"
_at_@ -11,7 +11,7 @@ depends=""
 depends_dev=""
 makedepends="$depends_dev"
 install=""
-subpackages="$pkgname-dev"
+subpackages="$pkgname-dev $pkgname-doc"
 source="http://skarnet.org/software/$pkgname/$pkgname-$pkgver.tar.gz"
 
 _builddir="$srcdir/$pkgname-$pkgver"
_at_@ -28,16 +28,15 @@ prepare() {
 build() {
 	cd "$_builddir"
 	./configure \
-		--build=$CBUILD \
 		--host=$CHOST \
 		--enable-shared \
 		--enable-static \
-		--prefix=/usr \
 		--libdir=/usr/lib \
-		--datadir=/etc \
+                --enable-clock \
 		--enable-force-devr \
 		|| return 1
 	make || return 1
+	make strip || return 1
 }
 
 package() {
_at_@ -48,10 +47,16 @@ package() {
 dev() {
 	default_dev
 	cd "$subpkgdir"
-	mv "$pkgdir/usr/lib/skalibs/sysdeps/"* usr/lib/skalibs/sysdeps/
-	rm -rf "$pkgdir/usr/lib/skalibs"
+	mv -f "$pkgdir/usr/lib/$pkgname"/sysdeps/* "usr/lib/$pkgname/sysdeps/"
+	rm -rf "$pkgdir/usr"
 }
 
-md5sums="09d1c450e520bdda5ad63026f74b1218  skalibs-2.3.8.2.tar.gz"
-sha256sums="96c224c7a6f8d53dda243acad029f3b760dafd370a9ee7f950df1bd1e6a5eef7  skalibs-2.3.8.2.tar.gz"
-sha512sums="e773a0045b00f53a62feefe283a3e5d7e7ba4e9aed295a573fe3533ca2d0c49e67b8b9953f46291ce68bbd35ce7d766ce6d1a2ab7f5a44939a479a6243a708c1  skalibs-2.3.8.2.tar.gz"
+doc() {
+	default_doc
+	mkdir -p "$subpkgdir/usr/share/doc"
+	cp -a "$_builddir/doc" "$subpkgdir/usr/share/doc/$pkgname"
+}
+
+md5sums="142a296760aab02f2821abf00706e53a  skalibs-2.3.8.3.tar.gz"
+sha256sums="3652e268f42ce60959dcc80ca3eba8dc17b6d365309179bfb0e04bc5f1603d7c  skalibs-2.3.8.3.tar.gz"
+sha512sums="da5f183cc83e238942cb20e70f334c498fac311e26e62b8ae497efd2a2a183114c2898deafbce8f4da396cae51678dc4927138e6b978ce474e98392e05a74d30  skalibs-2.3.8.3.tar.gz"
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Nov 16 2015 - 12:44:51 GMT